.quantity {
	width: 100%;
	height: 30px;
	font-size: 0;
	line-height: 0;
	padding: 0 25px;
	position: relative;
	border-radius: 15px;
	background: $gray-200;
	display: flex;
	align-items: center;
	justify-content: space-between;

	&__input {
		width: 40px;
		display: block;
	}

	input {
		width: 100%;
		border: none;
		outline: none;
		font-weight: 400;
		text-align: center;
		color: $purple-100;
		padding: 6px 0 6px 0;
		background: transparent;
		font-size: font-size-rel(14px);
		line-height: font-size-rel(18px);
	}

	input[type=number]{
		-moz-appearance: textfield;
	}

	input[type="number"]::-webkit-outer-spin-button,
	input[type="number"]::-webkit-inner-spin-button {
		display: none;
	}

	&__button {
		width: 24px;
		height: 24px;
		cursor: pointer;
		position: relative;
		display: inline-block;

		&--up {

			&:after,
			&:before {
				top: 50%;
				left: calc(50% - 7px);
				content: '';
				width: 14px;
				height: 1px;
				position: absolute;
				background: $purple-100;
			}

			&:after {
				transform: rotate(90deg);
			}
		}

		&--down {

			&:before {
				top: 50%;
				left: calc(50% - 7px);
				content: '';
				width: 14px;
				height: 1px;
				position: absolute;
				background: $purple-100;
			}
		}
	}

	@media (min-width: $screen-lg-min) {
		height: 50px;
		border-radius: 25px;
	}
}

.count {
	width: 100%;
	height: 24px;
	padding: 0;
	position: relative;
	display: flex;
	align-items: center;
	justify-content: space-between;

	&__input {
		width: 40px;
		display: block;
		flex-shrink: 0;
	}

	input {
		width: 100%;
		border: none;
		outline: none;
		font-weight: 400;
		text-align: center;
		color: $purple-100;
		padding: 3px 0 3px 0;
		background: transparent;
		font-size: font-size-rel(14px);
		line-height: font-size-rel(18px);
	}

	input[type=number]{
		-moz-appearance: textfield;
	}

	input[type="number"]::-webkit-outer-spin-button,
	input[type="number"]::-webkit-inner-spin-button {
		display: none;
	}

	&__button {
		width: 24px;
		height: 24px;
		cursor: pointer;
		position: relative;
		display: inline-block;
		border-radius: 50%;
		background: $purple-100;

		&--up {

			&:after,
			&:before {
				top: 50%;
				left: calc(50% - 7px);
				content: '';
				width: 14px;
				height: 1px;
				position: absolute;
				background: $white;
			}

			&:after {
				transform: rotate(90deg);
			}
		}

		&--down {

			&:before {
				top: 50%;
				left: calc(50% - 7px);
				content: '';
				width: 14px;
				height: 1px;
				position: absolute;
				background: $white;
			}
		}
	}
}